require 'test_helper'

class Parlez::PostsControllerTest < ActionController::TestCase

  test "get index" do
    get :index
    assert_response :success
    assert_template :index
    assert assigns(:posts)
  end

  test "get show" do
    p = Factory :post
    get :show, :id => p.id
    assert_response :success
    assert_template :show
    assert assigns :post
  end
end