Factory.define do
  factory :valid_comment, :class => 'Parlez::Comment' do
    association :post
    user_ip '132.213.241.193'
    user_agent 'GenericBrowser 1.0'
    referrer 'http://nowheresvillle.com'
    comment_type 'comment'
    author 'john doe'
    author_email 'john@doe.com'
    author_url 'http://www.google.com'
    content 'Lorem!'
    is_spam false
    checked_at 1.hour.ago
  end

  factory :invalid_comment, :class => 'Parlez::Comment' do
    association :post
    user_ip '132.213.241.193'
    user_agent 'GenericBrowser 1.0'
    referrer 'http://nowheresvillle.com'
    comment_type ''
    author 'john doe'
    author_email 'john@doe.com'
    author_url 'http://www.google.com'
    content 'Lorem!'
    is_spam false
    checked_at nil
  end

  factory :spam_comment, :class => 'Parlez::Comment' do
  end

  factory :ham_comment, :class => 'Parlez::Comment' do
  end
end