require 'test_helper'

class HttpAuthTest < ActionDispatch::IntegrationTest
  test "admin section is password protected" do
    get '/admin/posts'
    assert_response :unauthorized

    get '/admin/posts', nil, {'HTTP_AUTHORIZATION' => "Basic #{Base64.encode64('parlez:zelrap')}"}
    assert_response :success
  end

  test 'frontend doesnt require a password' do
    get '/blog'
    assert_response :success
  end
end
